List balances
curl --request GET \
--url https://api-stage.bitrobot.ai/subnets/{subnet_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.bitrobot.ai/subnets/{subnet_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.bitrobot.ai/subnets/{subnet_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"balances": [
{
"wallet_address": "HN7cABqLq46Es1jh92dQQisAq662SmxELLLsHHe4YWrH",
"user_id": "01HQXK5V7YWQZ8NGQB2RJVT9MS",
"current_period_points": 1200,
"all_time_points": 45600,
"bolts": 8432.5
},
{
"wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"user_id": "01HQXK6A2BWPN3KGQC4SJWU8NT",
"current_period_points": 800,
"all_time_points": 32100,
"bolts": 5219.75
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 312
}
}
}{
"error": "Invalid or missing API key"
}Subnets
List balances
List all users and their Subnet Points and Bolts balances for your subnet. The bolts field only reflects Bolts earned through this subnet and does not include Foundation Bolts.
GET
/
subnets
/
{subnet_id}
/
balances
List balances
Authorizations
API key authentication. Your API key should start with brb_.
Example: Authorization: Bearer brb_1234567890abcdef
Path Parameters
The unique identifier of the subnet (ULID format)
Pattern:
^[0-9A-HJKMNP-TV-Z]{26}$Query Parameters
Page number for pagination
Required range:
x >= 1Results per page
Required range:
1 <= x <= 200